Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.timer
Class Timer

    java.lang.Object
      |
      +--javax.management.NotificationBroadcasterSupport
            |
            +--javax.management.timer.Timer
                  |
                  +--weblogic.management.timer.Timer

public final class Timer
extends javax.management.timer.Timer
implements javax.management.timer.TimerMBean, javax.management.NotificationBroadcaster, java.lang.Runnable, java.io.Serializable

Timer: an implementation of the JMX javax.management.TimerMBean interface that uses weblogic execute threads and honors user identity.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class javax.management.timer.Timer
`ONE_DAY, ONE_HOUR, ONE_MINUTE, ONE_SECOND, ONE_WEEK`

Constructor Summary
`Timer()` Constructor for the Timer object

Method Summary
`java.lang.Integer` | `addNotification(java.lang.String type, java.lang.String message, java.lang.Object userData, java.util.Date date)` Adds a feature to the Notification attribute of the Timer object
`java.lang.Integer` | `addNotification(java.lang.String type, java.lang.String message, java.lang.Object userData, java.util.Date date, long period)` Adds a feature to the Notification attribute of the Timer object
`java.lang.Integer` | `addNotification(java.lang.String type, java.lang.String message, java.lang.Object userData, java.util.Date date, long period, long nbOccurences)` Adds a feature to the Notification attribute of the Timer object
`void` | `addNotification(weblogic.time.common.internal.TimerNotification tn)` Adds a feature to the Notification attribute of the Timer object
`void` | `addNotificationListener(javax.management.NotificationListener listener, javax.management.NotificationFilter filter, java.lang.Object handback)` Adds a feature to the NotificationListener attribute of the Timer object
`void` | `deliverNotifications(javax.management.Notification tn)` Description of the Method
`java.util.Vector` | `getAllNotificationIDs()` Gets the allNotificationIDs attribute of the Timer object
`java.util.Date` | `getDate(java.lang.Integer id)` Gets the date attribute of the Timer object
`java.lang.String` | `getDispatchPolicy()` Gets the dispatchPolicy attribute of the Timer object
`int` | `getNbNotifications()` Gets the nbNotifications attribute of the Timer object
`java.lang.Long` | `getNbOccurences(java.lang.Integer id)` Gets the nbOccurences attribute of the Timer object
`java.util.Vector` | `getNotificationIDs(java.lang.String type)` Gets the notificationIDs attribute of the Timer object
`javax.management.MBeanNotificationInfo[]` | `getNotificationInfo()` Gets the notificationInfo attribute of the Timer object
`java.lang.String` | `getNotificationMessage(java.lang.Integer id)` Gets the notificationMessage attribute of the Timer object
`java.lang.String` | `getNotificationType(java.lang.Integer id)` Gets the notificationType attribute of the Timer object
`java.lang.Object` | `getNotificationUserData(java.lang.Integer id)` Gets the notificationUserData attribute of the Timer object
`java.lang.Long` | `getPeriod(java.lang.Integer id)` Gets the period attribute of the Timer object
`boolean` | `getSendPastNotifications()` Gets the sendPastNotifications attribute of the Timer object
`boolean` | `isActive()` Gets the active attribute of the Timer object
`boolean` | `isEmpty()` Gets the empty attribute of the Timer object
`void` | `removeAllNotifications()` Description of the Method
`void` | `removeNotification(java.lang.Integer id)` Description of the Method
`void` | `removeNotification(weblogic.time.common.internal.TimerNotification tn)` Description of the Method
`void` | `removeNotification(weblogic.time.common.internal.TimerNotification tn, boolean removeFromTimeTable)` Description of the Method
`void` | `removeNotificationListener(javax.management.NotificationListener listener)` Description of the Method
`void` | `removeNotifications(java.lang.String type)` Description of the Method
`void` | `run()` Main processing method for the Timer object
`void` | `setDispatchPolicy(java.lang.String dispatchPolicy)` Sets the dispatchPolicy attribute of the Timer object
`void` | `setSendPastNotifications(boolean value)` Sets the sendPastNotifications attribute of the Timer object
`void` | `start()` Description of the Method
`void` | `start(java.lang.ThreadGroup tg, java.lang.String name, int priority)` Description of the Method
`void` | `stop()` Description of the Method

Methods inherited from class javax.management.timer.Timer
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from class javax.management.NotificationBroadcasterSupport
`sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Timer

    public Timer()

  Constructor for the Timer object

Method Detail

### getDispatchPolicy

    public java.lang.String getDispatchPolicy()

  Gets the dispatchPolicy attribute of the Timer object

  Returns:
    The dispatchPolicy value

### getNbNotifications

    public int getNbNotifications()

  Gets the nbNotifications attribute of the Timer object
  Specified by:
    getNbNotifications in interface javax.management.timer.TimerMBean

  Returns:
    The nbNotifications value
  Overrides:
    getNbNotifications in class javax.management.timer.Timer

### getAllNotificationIDs

    public java.util.Vector getAllNotificationIDs()

  Gets the allNotificationIDs attribute of the Timer object
  Specified by:
    getAllNotificationIDs in interface javax.management.timer.TimerMBean

  Returns:
    The allNotificationIDs value
  Overrides:
    getAllNotificationIDs in class javax.management.timer.Timer

### getNotificationIDs

    public java.util.Vector getNotificationIDs(java.lang.String type)

  Gets the notificationIDs attribute of the Timer object
  Specified by:
    getNotificationIDs in interface javax.management.timer.TimerMBean

  Parameters:
    `type` - Description of the Parameter
  Returns:
    The notificationIDs value
  Overrides:
    getNotificationIDs in class javax.management.timer.Timer

### getNotificationType

    public java.lang.String getNotificationType(java.lang.Integer id)

  Gets the notificationType attribute of the Timer object
  Specified by:
    getNotificationType in interface javax.management.timer.TimerMBean

  Parameters:
    `id` - Description of the Parameter
  Returns:
    The notificationType value
  Overrides:
    getNotificationType in class javax.management.timer.Timer

### getNotificationMessage

    public java.lang.String getNotificationMessage(java.lang.Integer id)

  Gets the notificationMessage attribute of the Timer object
  Specified by:
    getNotificationMessage in interface javax.management.timer.TimerMBean

  Parameters:
    `id` - Description of the Parameter
  Returns:
    The notificationMessage value
  Overrides:
    getNotificationMessage in class javax.management.timer.Timer

### getNotificationUserData

    public java.lang.Object getNotificationUserData(java.lang.Integer id)

  Gets the notificationUserData attribute of the Timer object
  Specified by:
    getNotificationUserData in interface javax.management.timer.TimerMBean

  Parameters:
    `id` - Description of the Parameter
  Returns:
    The notificationUserData value
  Overrides:
    getNotificationUserData in class javax.management.timer.Timer

### getDate

    public java.util.Date getDate(java.lang.Integer id)

  Gets the date attribute of the Timer object
  Specified by:
    getDate in interface javax.management.timer.TimerMBean

  Parameters:
    `id` - Description of the Parameter
  Returns:
    The date value
  Overrides:
    getDate in class javax.management.timer.Timer

### getPeriod

    public java.lang.Long getPeriod(java.lang.Integer id)

  Gets the period attribute of the Timer object
  Specified by:
    getPeriod in interface javax.management.timer.TimerMBean

  Parameters:
    `id` - Description of the Parameter
  Returns:
    The period value
  Overrides:
    getPeriod in class javax.management.timer.Timer

### getNbOccurences

    public java.lang.Long getNbOccurences(java.lang.Integer id)

  Gets the nbOccurences attribute of the Timer object
  Specified by:
    getNbOccurences in interface javax.management.timer.TimerMBean

  Parameters:
    `id` - Description of the Parameter
  Returns:
    The nbOccurences value
  Overrides:
    getNbOccurences in class javax.management.timer.Timer

### getSendPastNotifications

    public boolean getSendPastNotifications()

  Gets the sendPastNotifications attribute of the Timer object
  Specified by:
    getSendPastNotifications in interface javax.management.timer.TimerMBean

  Returns:
    The sendPastNotifications value
  Overrides:
    getSendPastNotifications in class javax.management.timer.Timer

### isActive

    public boolean isActive()

  Gets the active attribute of the Timer object
  Specified by:
    isActive in interface javax.management.timer.TimerMBean

  Returns:
    The active value
  Overrides:
    isActive in class javax.management.timer.Timer

### isEmpty

    public boolean isEmpty()

  Gets the empty attribute of the Timer object
  Specified by:
    isEmpty in interface javax.management.timer.TimerMBean

  Returns:
    The empty value
  Overrides:
    isEmpty in class javax.management.timer.Timer

### getNotificationInfo

    public javax.management.MBeanNotificationInfo[] getNotificationInfo()

  Gets the notificationInfo attribute of the Timer object
  Specified by:
    getNotificationInfo in interface javax.management.NotificationBroadcaster

  Returns:
    The notificationInfo value
  Overrides:
    getNotificationInfo in class javax.management.NotificationBroadcasterSupport

### setDispatchPolicy

    public void setDispatchPolicy(java.lang.String dispatchPolicy)

  Sets the dispatchPolicy attribute of the Timer object

  Parameters:
    `dispatchPolicy` - The new dispatchPolicy value

### setSendPastNotifications

    public void setSendPastNotifications(boolean value)

  Sets the sendPastNotifications attribute of the Timer object
  Specified by:
    setSendPastNotifications in interface javax.management.timer.TimerMBean

  Parameters:
    `value` - The new sendPastNotifications value
  Overrides:
    setSendPastNotifications in class javax.management.timer.Timer

### start

    public void start()

  Description of the Method
  Specified by:
    start in interface javax.management.timer.TimerMBean

  Overrides:
    start in class javax.management.timer.Timer

### start

    public void start(java.lang.ThreadGroup tg,
                      java.lang.String name,
                      int priority)

  Description of the Method

  Parameters:
    `tg` - Description of the Parameter
    `name` - Description of the Parameter
    `priority` - Description of the Parameter

### stop

    public void stop()

  Description of the Method
  Specified by:
    stop in interface javax.management.timer.TimerMBean

  Overrides:
    stop in class javax.management.timer.Timer

### addNotification

    public java.lang.Integer addNotification(java.lang.String type,
                                             java.lang.String message,
                                             java.lang.Object userData,
                                             java.util.Date date,
                                             long period,
                                             long nbOccurences)
                                      throws java.lang.IllegalArgumentException

  Adds a feature to the Notification attribute of the Timer object
  Specified by:
    addNotification in interface javax.management.timer.TimerMBean

  Parameters:
    `type` - The feature to be added to the Notification attribute
    `message` - The feature to be added to the Notification attribute
    `userData` - The feature to be added to the Notification attribute
    `date` - The feature to be added to the Notification attribute
    `period` - The feature to be added to the Notification attribute
    `nbOccurences` - The feature to be added to the Notification attribute
  Returns:
    Description of the Return Value
  Throws:
    java.lang.IllegalArgumentException - Description of the Exception
  Overrides:
    addNotification in class javax.management.timer.Timer

### addNotification

    public java.lang.Integer addNotification(java.lang.String type,
                                             java.lang.String message,
                                             java.lang.Object userData,
                                             java.util.Date date,
                                             long period)
                                      throws java.lang.IllegalArgumentException

  Adds a feature to the Notification attribute of the Timer object
  Specified by:
    addNotification in interface javax.management.timer.TimerMBean

  Parameters:
    `type` - The feature to be added to the Notification attribute
    `message` - The feature to be added to the Notification attribute
    `userData` - The feature to be added to the Notification attribute
    `date` - The feature to be added to the Notification attribute
    `period` - The feature to be added to the Notification attribute
  Returns:
    Description of the Return Value
  Throws:
    java.lang.IllegalArgumentException - Description of the Exception
  Overrides:
    addNotification in class javax.management.timer.Timer

### addNotification

    public java.lang.Integer addNotification(java.lang.String type,
                                             java.lang.String message,
                                             java.lang.Object userData,
                                             java.util.Date date)
                                      throws java.lang.IllegalArgumentException

  Adds a feature to the Notification attribute of the Timer object
  Specified by:
    addNotification in interface javax.management.timer.TimerMBean

  Parameters:
    `type` - The feature to be added to the Notification attribute
    `message` - The feature to be added to the Notification attribute
    `userData` - The feature to be added to the Notification attribute
    `date` - The feature to be added to the Notification attribute
  Returns:
    Description of the Return Value
  Throws:
    java.lang.IllegalArgumentException - Description of the Exception
  Overrides:
    addNotification in class javax.management.timer.Timer

### removeNotification

    public void removeNotification(java.lang.Integer id)
                            throws javax.management.InstanceNotFoundException

  Description of the Method
  Specified by:
    removeNotification in interface javax.management.timer.TimerMBean

  Parameters:
    `id` - Description of the Parameter
  Throws:
    javax.management.InstanceNotFoundException - Description of the Exception
  Overrides:
    removeNotification in class javax.management.timer.Timer

### removeNotifications

    public void removeNotifications(java.lang.String type)
                             throws javax.management.InstanceNotFoundException

  Description of the Method
  Specified by:
    removeNotifications in interface javax.management.timer.TimerMBean

  Parameters:
    `type` - Description of the Parameter
  Throws:
    javax.management.InstanceNotFoundException - Description of the Exception
  Overrides:
    removeNotifications in class javax.management.timer.Timer

### removeAllNotifications

    public void removeAllNotifications()

  Description of the Method
  Specified by:
    removeAllNotifications in interface javax.management.timer.TimerMBean

  Overrides:
    removeAllNotifications in class javax.management.timer.Timer

### addNotificationListener

    public void addNotificationListener(javax.management.NotificationListener listener,
                                        javax.management.NotificationFilter filter,
                                        java.lang.Object handback)
                                 throws java.lang.IllegalArgumentException

  Adds a feature to the NotificationListener attribute of the Timer object
  Specified by:
    addNotificationListener in interface javax.management.NotificationBroadcaster

  Parameters:
    `listener` - The feature to be added to the NotificationListener attribute
    `filter` - The feature to be added to the NotificationListener attribute
    `handback` - The feature to be added to the NotificationListener attribute
  Throws:
    java.lang.IllegalArgumentException - Description of the Exception
  Overrides:
    addNotificationListener in class javax.management.NotificationBroadcasterSupport

### removeNotificationListener

    public void removeNotificationListener(javax.management.NotificationListener listener)
                                    throws javax.management.ListenerNotFoundException

  Description of the Method
  Specified by:
    removeNotificationListener in interface javax.management.NotificationBroadcaster

  Parameters:
    `listener` - Description of the Parameter
  Throws:
    javax.management.ListenerNotFoundException - Description of the Exception
  Overrides:
    removeNotificationListener in class javax.management.NotificationBroadcasterSupport

### run

    public void run()

  Main processing method for the Timer object
  Specified by:
    run in interface java.lang.Runnable

### addNotification

    public void addNotification(weblogic.time.common.internal.TimerNotification tn)

  Adds a feature to the Notification attribute of the Timer object

  Parameters:
    `tn` - The feature to be added to the Notification attribute

### removeNotification

    public void removeNotification(weblogic.time.common.internal.TimerNotification tn)
                            throws javax.management.InstanceNotFoundException

  Description of the Method

  Parameters:
    `tn` - Description of the Parameter
  Throws:
    javax.management.InstanceNotFoundException - Description of the Exception

### removeNotification

    public void removeNotification(weblogic.time.common.internal.TimerNotification tn,
                                   boolean removeFromTimeTable)
                            throws javax.management.InstanceNotFoundException

  Description of the Method

  Parameters:
    `tn` - Description of the Parameter
    `removeFromTimeTable` - Description of the Parameter
  Throws:
    javax.management.InstanceNotFoundException - Description of the Exception

### deliverNotifications

    public void deliverNotifications(javax.management.Notification tn)

  Description of the Method

  Parameters:
    `tn` - Description of the Parameter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD